# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name libffi

Name:           ghc-%{pkg_name}
Version:        0.1
Release:        2%{?dist}
Summary:        A binding to libffi

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  pkgconfig(libffi)
# End cabal-rpm deps

%description
A binding to libffi, allowing C functions of types only known at runtime to be
called from Haskell.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Begin cabal-rpm deps:
Requires:       pkgconfig(libffi)
# End cabal-rpm deps

%description devel
This package provides the development files for the Haskell %{pkg_name} library.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc examples TODO


%changelog
* Tue Jul  2 2013 Jens Petersen <petersen@redhat.com> - 0.1-2
- add missing _isa in devel requires base pkg (#980123)

* Mon Jul  1 2013 Jens Petersen <petersen@redhat.com> - 0.1-1
- pkgconfig(libffi) should be sufficient for libffi

* Mon Jul  1 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.1-0
- spec file generated by cabal-rpm-0.8.1
